## pytermgui 7.7.1+dfsg

=== debian/changelog ===
pytermgui (7.7.1+dfsg-1) unstable; urgency=medium

  * New upstream version 7.7.1+dfsg
  * Source only build.
  * add python3-wcwidth needed by running test
  * set std-ver to 4.7.0

 -- Bo YU <tsu.yubo@gmail.com>  Thu, 11 Apr 2024 22:13:36 +0800

pytermgui (7.7.0+dfsg-1) unstable; urgency=medium

  * Initial release. (Closes: #1061236)

 -- Bo YU <tsu.yubo@gmail.com>  Tue, 19 Mar 2024 16:37:46 +0800

## pytermgui 7.7.3%2Bdfsg

=== debian/watch ===
version=4
opts=\
repacksuffix=+dfsg,\
repack,compression=xz,\
dversionmangle=auto,\
filenamemangle=s/.*?(\d[\d\.-]*@ARCHIVE_EXT@)/pytermgui-$1/ \
 https://github.com/bczsalba/pytermgui/tags .*/archive/.*/v?([\d\.]+).tar.gz

## pytermgui 7.7.3+dfsg

=== Makefile ===
# This file is generated by `. project-config`. Any changes made here are overwritten.

.PHONY: all test cover
PROJECT = pytermgui

install:
	pip3 install -e .

all:
	make install format lint list-todo

format:
	isort $(PROJECT) && black $(PROJECT)

lint:
	pylint $(PROJECT)

lint-prose:
	python3 utils/lint_prose.py

type:
	mypy $(PROJECT)

list-todo:
	python3 utils/list_todos.py "`grep -rnw . -e '# TODO'`"

test:
	pytest --cov='./pytermgui'

cover:
	coverage html

test-cov:
	make test cover

docs:
	pdoc --logo https://github.com/bczsalba/pytermgui/blob/master/assets/title.png?raw=true --docformat google -o docs pytermgui

=== debian/changelog ===
pytermgui (7.7.3+dfsg-1) unstable; urgency=medium

  * New upstream version 7.7.3+dfsg
  * Update year of d/copyright

 -- Bo YU <tsu.yubo@gmail.com>  Wed, 08 Jan 2025 11:46:35 +0800

pytermgui (7.7.2+dfsg-1) unstable; urgency=medium

  * New upstream release.

 -- Bo YU <tsu.yubo@gmail.com>  Wed, 04 Sep 2024 09:37:07 +0800

=== debian/control ===
Source: pytermgui
Section: python
Priority: optional
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders: Bo YU <tsu.yubo@gmail.com>
Build-Depends: debhelper-compat (= 13),
               dh-python,
               python3-setuptools,
               python3-all,
               pybuild-plugin-pyproject,
               python3-hatchling,
               python3-hatch-fancy-pypi-readme,
               python3-typing-extensions <!nocheck>,
               python3-testfixtures <!nocheck>,
               python3-pytest <!nocheck>,
               python3-yaml <!nocheck>,
               python3-wcwidth <!nocheck>,
               txt2man,
Standards-Version: 4.7.0
Homepage: https://github.com/bczsalba/pytermgui
Rules-Requires-Root: no
Testsuite: autopkgtest-pkg-pybuild
Vcs-Git: https://salsa.debian.org/python-team/packages/pytermgui.git
Vcs-Browser: https://salsa.debian.org/python-team/packages/pytermgui
Description: Python TUI framework with multi-feature support
 Python TUI framework with mouse support, modular widget system,
 customizable and rapid terminal markup language and more!
 .
 The framework offers:
  - Sensible abstractions over most terminal standards
  - A fully fledged, desktop-inspired window manager system with
    modals and completely customizable windows
  - Mouse support out of the box with 0 configuration
  - YAML (or Python) based styling engines
  - TIM, one markup language for creating styled terminal text
    with expressive text, including systems for aliases & macros

Package: python3-pytermgui
Architecture: all
Depends: ${misc:Depends},
        ${python3:Depends},
Description: ${source:Synopsis}
 ${source:Extended-Description}
 .
 The package contains the library for Python 3.

Package: pytermgui
Architecture: all
Multi-Arch: foreign
Depends:
 ${misc:Depends},
 ${python3:Depends},
 python3-pytermgui
Description: ${source:Synopsis}
 ${source:Extended-Description}
 .
 This package contains the pytermgui command line tool

=== debian/rules ===
#!/usr/bin/make -f

VERSION := $(shell dpkg-parsechangelog -Sversion | cut -d- -f1)
DEBDATE := $(shell dpkg-parsechangelog -Sdate | date -u +"%F" -f -)

export PYBUILD_NAME=pytermgui

%:
	dh $@ --with python3 --buildsystem=pybuild

execute_after_dh_install:
	dh_auto_install
	mkdir -p debian/pytermgui/usr/bin
	mv debian/python3-pytermgui/usr/bin/ptg debian/pytermgui/usr/bin/
	rm -rf debian/python3-pytermgui/usr/lib/python*/dist-packages/*.md
	rm -rf debian/python3-pytermgui/usr/lib/python*/dist-packages/examples/

override_dh_installdocs:
	dh_installdocs -A README.md

execute_before_dh_installman:
	txt2man -s 1 -v "pytermgui" -t "pytermgui" \
	-r "$(VERSION)" -d "$(DEBDATE)" debian/manpage/ptg.txt > debian/manpage/ptg.1
